Package org.pushingpixels.substance.api.tabbed

# Interface TabCloseCallback

public interface TabCloseCallback
Callback for registering app-specific behaviour on tab close buttons. This class is part of officially supported API.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAreaTooltip(JTabbedPane tabbedPane, int tabIndex)`
Returns the tooltip for the tab area (not close button).
`String`
`getCloseButtonTooltip(JTabbedPane tabbedPane, int tabIndex)`
Returns the tooltip for the tab close button.
`SubstanceConstants.TabCloseKind`
`onAreaClick(JTabbedPane tabbedPane, int tabIndex, MouseEvent mouseEvent)`
Invoked when the tab area (not close button) is clicked.
`SubstanceConstants.TabCloseKind`
`onCloseButtonClick(JTabbedPane tabbedPane, int tabIndex, MouseEvent mouseEvent)`
Invoked when the tab close button is clicked.

## Method Details

### onAreaClick

SubstanceConstants.TabCloseKind onAreaClick(JTabbedPane tabbedPane, int tabIndex, MouseEvent mouseEvent)
Invoked when the tab area (not close button) is clicked.

Parameters:
  `tabbedPane` - Tabbed pane.
  `tabIndex` - Index of the tab under the click.
  `mouseEvent` - Mouse event.
Returns:
  Tab close kind.

### onCloseButtonClick

SubstanceConstants.TabCloseKind onCloseButtonClick(JTabbedPane tabbedPane, int tabIndex, MouseEvent mouseEvent)
Invoked when the tab close button is clicked.

Parameters:
  `tabbedPane` - Tabbed pane.
  `tabIndex` - Index of the tab under the click.
  `mouseEvent` - Mouse event.
Returns:
  Tab close kind.

### getAreaTooltip

String getAreaTooltip(JTabbedPane tabbedPane, int tabIndex)
Returns the tooltip for the tab area (not close button).

Parameters:
  `tabbedPane` - Tabbed pane.
  `tabIndex` - Index of the tab under the mouse.
Returns:
  Tooltip for the tab area.

### getCloseButtonTooltip

String getCloseButtonTooltip(JTabbedPane tabbedPane, int tabIndex)
Returns the tooltip for the tab close button.

Parameters:
  `tabbedPane` - Tabbed pane.
  `tabIndex` - Index of the tab under the mouse.
Returns:
  Tooltip for the tab close button.